Bug 127669

Summary: New port: multimedia/cx88 Drivers for audio/video capture cards based on Conexant CX23880/1/2/3 chips
Product: Ports & Packages Reporter: jason.harmening
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar none

Description jason.harmening 2008-09-27 01:30:08 UTC
cx88 provides drivers for TV/radio capture cards based on
the Conexant CX23880/1/2/3 series of chips.  This port
includes the cx88 kernel drivers as well as a simple app
for HDTV capture.  It requires multimedia/libtuner for
channel selection and peripheral configuration.

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2008-09-30 10:40:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov 2008-09-30 11:19:36 UTC
> Synopsis: New port: multimedia/cx88  Drivers for audio/video capture cards based on Conexant CX23880/1/2/3 chips
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=127669

- Spaces should be changed to tabs as well
- Port should not touch system directories
  - modules should go to either /boot/modules or /usr/local/modules (may be changed via KMODDIR)
  - includes should go to ${PREFIX}/include
  - I think firmware should go to ${DATADIR} (${PREFIX}/share/cx88)
  - *.cpp should either be compiled into useful executables or be
    installed into ${EXAMPLESDIR} (${PREFIX}/share/examples/${PORTNAME})

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2008-09-30 11:20:48 UTC
State Changed
From-To: open->feedback

Awaiting submitter's feedback.
Comment 4 jason.harmening 2008-10-01 01:50:10 UTC
Recommended changes have been made:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	cx88
#	cx88/Makefile
#	cx88/pkg-descr
#	cx88/pkg-plist
#	cx88/distinfo
#
echo c - cx88
mkdir -p cx88 > /dev/null 2>&1
echo x - cx88/Makefile
sed 's/^X//' >cx88/Makefile << 'adab27314f3731c5268b2254e6ead20d'
X# New ports collection makefile for:   cx88
X# Date created:        7 September 2008
X# Whom:                jah
X#
X# $FreeBSD$
X#
X
XPORTNAME=	cx88
XPORTVERSION=	1.0.1
XCATEGORIES=	multimedia kld
XMASTER_SITES=	ftp://corona.homeunix.net/ports/cx88/
XEXTRACT_ONLY=	cx88-${PORTVERSION}.tar.gz
X
XMAINTAINER=	jason.harmening@gmail.com
XCOMMENT=	Drivers for Conexant CX23880/1/2/3-based TV/radio capture cards
X
XLIB_DEPENDS=	tuner:${PORTSDIR}/multimedia/libtuner
XBUILD_DEPENDS=	${LOCALBASE}/lib/libezxml.a:${PORTSDIR}/textproc/ezxml
X
XKMODDIR=	/boot/modules
XPLIST_SUB+=	KMODDIR=${KMODDIR}
XMAKE_ARGS+=	LIBTUNER_LIB=${LOCALBASE}/lib/libtuner LIBTUNER_HEADER=${LOCALBASE}/include/libtuner KMODDIR=${KMODDIR}
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 700055
XIGNORE=	requires FreeBSD 7.0-RELEASE or later
X.endif
X
X.include <bsd.port.post.mk>
adab27314f3731c5268b2254e6ead20d
echo x - cx88/pkg-descr
sed 's/^X//' >cx88/pkg-descr << '361a9984998c7277ba109337d8a6f823'
Xcx88 provides drivers for TV/radio capture cards based on
Xthe Conexant CX23880/1/2/3 series of chips.  This port
Xincludes the cx88 kernel drivers as well as a simple app
Xfor HDTV capture.  It requires multimedia/libtuner for 
Xchannel selection and peripheral configuration.
361a9984998c7277ba109337d8a6f823
echo x - cx88/pkg-plist
sed 's/^X//' >cx88/pkg-plist << '66b7180b547510c2aebf39e632fa5639'
Xbin/cx88
X%%EXAMPLESDIR%%/cx88.xml.sample
X%%DATADIR%%/or51132_vsb.fw
X%%DATADIR%%/or51132_qam.fw
X%%EXAMPLESDIR%%/cx88_audio_enable.cpp
X%%EXAMPLESDIR%%/remote.cpp
X%%EXAMPLESDIR%%/hd3k_analog_kbuf.cpp
X%%EXAMPLESDIR%%/tuner_config
X%%EXAMPLESDIR%%/hd3k_mpeg_ubuf.cpp
X%%EXAMPLESDIR%%/hd5k_mpeg_ubuf.cpp
X%%EXAMPLESDIR%%/hd3k_mpeg_kbuf.cpp
X%%EXAMPLESDIR%%/cx88_audio_client.cpp
X%%EXAMPLESDIR%%/hd5k_mpeg_kbuf.cpp
X%%EXAMPLESDIR%%/hd3k_analog_ubuf.cpp
X%%EXAMPLESDIR%%/hd5k_analog_ubuf.cpp
X@dirrm %%EXAMPLESDIR%%
X@dirrm %%DATADIR%%
Xinclude/iicdev/iicdev_ioctl.h
Xinclude/cx88/cx88_mpeg_ioctl.h
Xinclude/cx88/cx88_video_ioctl.h
Xinclude/cx88/cx88_audio_ioctl.h
X@dirrm include/cx88
X@dirrm include/iicdev
X@unexec kldxref %%KMODDIR%%
X@cwd %%KMODDIR%%
Xcx88.ko
Xcx88i2c.ko
Xiicdev.ko
Xcx88ir.ko
Xcx88mpeg.ko
Xcx88video.ko
Xcx88audio.ko
66b7180b547510c2aebf39e632fa5639
echo x - cx88/distinfo
sed 's/^X//' >cx88/distinfo << '45d0f355d6170c8fa9db7023f3be01bc'
XMD5 (cx88-1.0.1.tar.gz) = bab32b056819b5665862abb58eb9c262
XSHA256 (cx88-1.0.1.tar.gz) = de926651cf76f1d8bf2ba771803bf66738905bb6ba224633ffb849be48027fff
XSIZE (cx88-1.0.1.tar.gz) = 123639
45d0f355d6170c8fa9db7023f3be01bc
exit
Comment 5 dfilter service freebsd_committer 2008-10-01 17:18:05 UTC
amdmi3      2008-10-01 16:17:56 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/cx88      Makefile distinfo pkg-descr pkg-plist 
  Log:
  cx88 provides drivers for TV/radio capture cards based on
  the Conexant CX23880/1/2/3 series of chips.  This port
  includes the cx88 kernel drivers as well as a simple app
  for HDTV capture.  It requires multimedia/libtuner for
  channel selection and peripheral configuration.
  
  PR:             127669
  Submitted by:   Jason Harmening <jason dot harmening at gmail dot com>
  
  Revision  Changes    Path
  1.275     +1 -0      ports/multimedia/Makefile
  1.1       +34 -0     ports/multimedia/cx88/Makefile (new)
  1.1       +3 -0      ports/multimedia/cx88/distinfo (new)
  1.1       +5 -0      ports/multimedia/cx88/pkg-descr (new)
  1.1       +33 -0     ports/multimedia/cx88/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2008-10-01 17:18:07 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!